> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cdp.coinbase.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Unstaking Status

> Get unstaking estimates for a wallet. Returns estimated completion times for active unstaking requests.



## OpenAPI

````yaml get /v1/portfolios/{portfolio_id}/wallets/{wallet_id}/staking/unstake/status
openapi: 3.0.1
info:
  title: REST API
  description: >-
    The Coinbase Prime REST API provides programmatic access to trading,
    custody, staking, market data, and account management functionality.
  version: '0.1'
servers:
  - url: https://api.prime.coinbase.com/
security: []
tags:
  - name: PrimeRESTAPI
paths:
  /v1/portfolios/{portfolio_id}/wallets/{wallet_id}/staking/unstake/status:
    get:
      tags:
        - Staking
      summary: Get Unstaking Status
      description: >-
        Get unstaking estimates for a wallet. Returns estimated completion times
        for active unstaking requests.
      operationId: PrimeRESTAPI_GetUnstakingStatus
      parameters:
        - name: portfolio_id
          in: path
          description: The portfolio ID
          required: true
          schema:
            type: string
        - name: wallet_id
          in: path
          description: The wallet ID
          required: true
          schema:
            type: string
      responses:
        '200':
          description: A successful response.
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/coinbase.public_rest_api.GetUnstakingStatusResponse
components:
  schemas:
    coinbase.public_rest_api.GetUnstakingStatusResponse:
      required:
        - current_timestamp
        - portfolio_id
        - validators
        - wallet_address
        - wallet_id
      type: object
      properties:
        portfolio_id:
          type: string
          description: The portfolio ID
        wallet_id:
          type: string
          description: The wallet ID
        wallet_address:
          type: string
          description: The wallet address
        current_timestamp:
          type: string
          description: Current timestamp at time of API call
          format: date-time
          example: '2025-10-17T15:30:00.000Z'
        validators:
          type: array
          description: List of validators with unstaking information for this wallet
          items:
            $ref: >-
              #/components/schemas/coinbase.public_rest_api.ValidatorUnstakingInfo
    coinbase.public_rest_api.ValidatorUnstakingInfo:
      required:
        - statuses
        - validator_address
      type: object
      properties:
        validator_address:
          type: string
          description: The validator address (public key)
        statuses:
          type: array
          description: List of active unstaking requests for this validator
          items:
            $ref: '#/components/schemas/coinbase.public_rest_api.UnstakingStatus'
    coinbase.public_rest_api.UnstakingStatus:
      required:
        - amount
        - estimate_description
        - estimate_type
      type: object
      properties:
        amount:
          type: string
          description: Amount being unstaked (whole amount, e.g., 16 ETH)
          example: '16'
        unstake_type:
          $ref: '#/components/schemas/coinbase.public_rest_api.UnstakeType'
        finishing_at:
          type: string
          description: Estimated date when unstaking will complete (ISO 8601 format)
          format: date-time
          example: '2025-10-27T00:00:00.000Z'
        remaining_hours:
          type: integer
          description: Estimated hours until this unstaking request completes
          format: int64
          example: 672
        requested_at:
          type: string
          description: Timestamp when the unstake request was originally created
          format: date-time
          example: '2025-09-29T12:00:00.000Z'
        estimate_type:
          $ref: '#/components/schemas/coinbase.public_rest_api.EstimateType'
        estimate_description:
          type: string
          description: Detailed explanation of the estimate status for display to users.
          example: Live estimate based on current network conditions
    coinbase.public_rest_api.UnstakeType:
      type: string
      default: UNSTAKE_TYPE_UNSPECIFIED
      enum:
        - UNSTAKE_TYPE_UNSPECIFIED
        - UNSTAKE_TYPE_PARTIAL
        - UNSTAKE_TYPE_FULL
    coinbase.public_rest_api.EstimateType:
      type: string
      default: UNSPECIFIED
      enum:
        - UNSPECIFIED
        - LIVE
        - INTERIM

````